package model.databaseModel;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the UNTERNEHMEN database table.
 * 
 */
@Entity
public class Unternehmen implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	private int unternehmenid;
	private String name;
	private List<Zustaendigkeit> zustaendigkeits;

	public Unternehmen() {
	}


	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	public int getUnternehmenid() {
		return this.unternehmenid;
	}

	public void setUnternehmenid(int unternehmenid) {
		this.unternehmenid = unternehmenid;
	}


	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}


	//bi-directional many-to-one association to Zustaendigkeit
	@OneToMany(mappedBy="unternehmen")
	public List<Zustaendigkeit> getZustaendigkeits() {
		return this.zustaendigkeits;
	}

	public void setZustaendigkeits(List<Zustaendigkeit> zustaendigkeits) {
		this.zustaendigkeits = zustaendigkeits;
	}

}