package model.databaseModel;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the ZUSTAENDIGKEIT database table.
 * 
 */
@Entity
public class Zustaendigkeit implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	private int zustaendigkeitid;
	private Ansprechpartner ansprechpartner;
	private Unternehmen unternehmen;

	public Zustaendigkeit() {
	}


	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	public int getZustaendigkeitid() {
		return this.zustaendigkeitid;
	}

	public void setZustaendigkeitid(int zustaendigkeitid) {
		this.zustaendigkeitid = zustaendigkeitid;
	}


	//bi-directional many-to-one association to Ansprechpartner
	@ManyToOne
	@JoinColumn(name="ANSPRECHPARTNERID")
	public Ansprechpartner getAnsprechpartner() {
		return this.ansprechpartner;
	}

	public void setAnsprechpartner(Ansprechpartner ansprechpartner) {
		this.ansprechpartner = ansprechpartner;
	}


	//bi-directional many-to-one association to Unternehmen
	@ManyToOne
	@JoinColumn(name="UNTERNEHMENID")
	public Unternehmen getUnternehmen() {
		return this.unternehmen;
	}

	public void setUnternehmen(Unternehmen unternehmen) {
		this.unternehmen = unternehmen;
	}

}